#if !defined(AFX_CHARACTLISTVIEW_H__3AB03871_DD79_11D3_B9FC_00C026EE04F6__INCLUDED_)
#define AFX_CHARACTLISTVIEW_H__3AB03871_DD79_11D3_B9FC_00C026EE04F6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CharactListView.h : header file
//
#include "aplListView.h"
/////////////////////////////////////////////////////////////////////////////
// CCharactListView view

class CCharactListView : public CaplListView
{
protected:
	CCharactListView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CCharactListView)

// Attributes
public:
	CImageList m_ImageList;

// Operations
public:
void UpdateTreeItem(CaplTreeItem *item);
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCharactListView)
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CCharactListView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CCharactListView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CHARACTLISTVIEW_H__3AB03871_DD79_11D3_B9FC_00C026EE04F6__INCLUDED_)
